Bug 1252094 - [abrt] hpijs: shiftStripByLeftMargin(unsigned char*, int, int, int, int, int, colorSpaceDisposition)(): hpcups killed by SIGABRT
[abrt] hpijs: shiftStripByLeftMargin(unsigned char*, int, int, int, int, int,...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fab313ea123c21ba0e557b55e20...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 13:09 EDT by Oleksandr Tarasiuk
Modified: 2016-07-19 13:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.87 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: cgroup (188 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: core_backtrace (3.63 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: dso_list (3.04 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: environ (952 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: maps (15.65 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: mountinfo (3.38 KB, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: open_fds (864 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: proc_pid_status (971 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details
File: var_log_messages (433 bytes, text/plain)
2015-08-10 13:09 EDT, Oleksandr Tarasiuk
no flags Details

  None (edit)
Description Oleksandr Tarasiuk 2015-08-10 13:09:37 EDT
Version-Release number of selected component:
hpijs-3.15.7-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        HP_LaserJet_Pro_MFP_M125nw 20 al Invitation-EB-dual-2 1 'InputSlot=tray1 PageSize=A4 job-uuid=urn:uuid:901ee6f8-1fb5-3fff-403f-290c57903ab0 job-originating-host-name=localhost time-at-creation=1439203098 time-at-processing=1439205412'
crash_function: shiftStripByLeftMargin(unsigned char*, int, int, int, int, int, colorSpaceDisposition)
executable:     /usr/lib/cups/filter/hpcups
global_pid:     3328
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            4

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 shiftStripByLeftMargin(unsigned char*, int, int, int, int, int, colorSpaceDisposition) at /usr/share/hplip/prnt/plugins/hbpl1.so
 #5 PCLmGenerator::Encapsulate(void*, int, int, void**, int*) at /usr/share/hplip/prnt/plugins/hbpl1.so
 #6 Hbpl1Wrapper::Encapsulate(void*, int, int, void**, int*) at /usr/share/hplip/prnt/plugins/hbpl1.so
 #7 Hbpl1::Encapsulate at prnt/hpcups/Hbpl1.cpp:230
 #8 RasterSender::Process at prnt/hpcups/RasterSender.cpp:48
 #9 Process at prnt/hpcups/Pipeline.cpp:72
 #10 Pipeline::Execute at prnt/hpcups/Pipeline.cpp:79
 #11 Job::SendRasters at prnt/hpcups/Job.cpp:213
 #12 HPCupsFilter::processRasterData at prnt/hpcups/HPCupsFilter.cpp:763
 #13 HPCupsFilter::StartPrintJob at prnt/hpcups/HPCupsFilter.cpp:581
Comment 1 Oleksandr Tarasiuk 2015-08-10 13:09:41 EDT
Created attachment 1061165 [details]
File: backtrace
Comment 2 Oleksandr Tarasiuk 2015-08-10 13:09:43 EDT
Created attachment 1061166 [details]
File: cgroup
Comment 3 Oleksandr Tarasiuk 2015-08-10 13:09:44 EDT
Created attachment 1061167 [details]
File: core_backtrace
Comment 4 Oleksandr Tarasiuk 2015-08-10 13:09:45 EDT
Created attachment 1061168 [details]
File: dso_list
Comment 5 Oleksandr Tarasiuk 2015-08-10 13:09:47 EDT
Created attachment 1061169 [details]
File: environ
Comment 6 Oleksandr Tarasiuk 2015-08-10 13:09:48 EDT
Created attachment 1061170 [details]
File: limits
Comment 7 Oleksandr Tarasiuk 2015-08-10 13:09:50 EDT
Created attachment 1061171 [details]
File: maps
Comment 8 Oleksandr Tarasiuk 2015-08-10 13:09:51 EDT
Created attachment 1061172 [details]
File: mountinfo
Comment 9 Oleksandr Tarasiuk 2015-08-10 13:09:54 EDT
Created attachment 1061173 [details]
File: namespaces
Comment 10 Oleksandr Tarasiuk 2015-08-10 13:09:55 EDT
Created attachment 1061174 [details]
File: open_fds
Comment 11 Oleksandr Tarasiuk 2015-08-10 13:09:56 EDT
Created attachment 1061175 [details]
File: proc_pid_status
Comment 12 Oleksandr Tarasiuk 2015-08-10 13:09:57 EDT
Created attachment 1061176 [details]
File: var_log_messages
Comment 13 Fedora Admin XMLRPC Client 2016-06-24 06:36:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2016-07-19 13:27:45 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.